package com.quant.dao;


import java.util.List;

import com.quant.annotation.MyBatisRepository;
import com.quant.entity.Order;
import com.quant.vo.OrderStatusVo;


@MyBatisRepository
public interface OrderMapper {
	//查找出user_order表中最大的id，用来给order_id赋值
	int findMaxId();
	
	int addUserOrder(Order order);

	//根据order_id查找所有订单状态
	List<OrderStatusVo> findStatusByOrderId(Integer orderId);
}
